Forum: Managing VoltDB

Post: Java problem with Enterprise Manager

Java problem with Enterprise Manager
steve_r
Aug 4, 2011
Hi,

I am currently trying the Enterprise Edition's 30-day trial and am having trouble starting a database with the Enterprise Manager. I had no problem with the Community Edition, but when I try to start the db it says 'Unable to determine Java version, version string is "1.7.0"' in the log. Now this seems sort of contradictory since it clearly sees that JDK 1.7.0 is installed. I'm using CentOS 5.4 which comes with Java 1.6.0_14 and since 1.6.0_18 is a minimum requirement I upgraded to 1.7.0.

# java -version
java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) 64-Bit Server VM (build 21.0-b17, mixed mode)
What else could I be missing? Thanks for any help.

Steve